# Copyright (C) 2006: A.D.Foster
#
# ***** BEGIN GPL LICENSE BLOCK *****
#
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# ***** END GPL LICENCE BLOCK *****

import Blender
import BZcommon
from BZobject import BlObject
import BZtypeList
import BZsceneWriter
class importer:
	def __init__(self,bzobj):
		self.obj=bzobj
		
	def run(self):
		obj=Blender.Object.New('Empty',self.obj.name)
		BZcommon.propertyCheck(obj,'bzflag','define')
		scene = Blender.Scene.GetCurrent ()
		scene.link (obj)
		obj.layers=[3]
		Blender.Redraw()
			
class export(BlObject):
	def __init__(self,blobj,pipe):
		self.pipe=pipe
		self.out=BZtypeList.define()
		self.obj=blobj
			
	def run(self):
		self.updateFrom()
		self.pipe.write('define %s\n' % self.obj.name)
		self.pipe.flush()
		scene=Blender.Scene.GetCurrent()
		kids=scene.getChildren()
		for obj in kids:
			try:
				parName=obj.getParent().name
			except:
				parName=BZcommon.propertyCheck(obj,'parent')
			if obj.layers==[3] and parName==self.obj.name:
				keywd=self.cleanStr(BZcommon.propertyCheck(obj,'bzflag'))
				if BZsceneWriter.Object.has_key(keywd): 
					print 'Exporting object of type:-%s' %keywd
					module=BZsceneWriter.Object[keywd]
					writer=module.export(obj,self.pipe)
					writer.run()
			else:
				pass
		self.writeMesh()
		self.pipe.write('enddef\n\n')
		self.pipe.flush()
		#end?? that was easy
